# Generated by rust2rpm
# Tests require internet connection
%bcond_with check
%global debug_package %{nil}

%global crate openssl

Name:           rust-%{crate}
Version:        0.9.21
Release:        1%{?dist}
Summary:        OpenSSL bindings

License:        ASL 2.0
URL:            https://crates.io/crates/openssl
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No windows
# * Bump foreign-types to 0.3, https://github.com/sfackler/rust-openssl/commit/e9ad9f1afd0429dd56af8e59ec9ad74020ca15e3
Patch0:         openssl-0.9.21-fix-metadata.diff
# Make it work with foreign-types v0.3
Patch1:         0001-Upgrade-foreign-types.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(bitflags) >= 0.9.0 with crate(bitflags) < 0.10.0)
BuildRequires:  (crate(foreign-types) >= 0.3.1 with crate(foreign-types) < 0.4.0)
BuildRequires:  (crate(lazy_static) >= 0.2.0 with crate(lazy_static) < 0.3.0)
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
BuildRequires:  (crate(openssl-sys) >= 0.9.21 with crate(openssl-sys) < 0.10.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(data-encoding) >= 2.0.0 with crate(data-encoding) < 3.0.0)
BuildRequires:  (crate(hex) >= 0.2.0 with crate(hex) < 0.3.0)
BuildRequires:  (crate(tempdir) >= 0.3.0 with crate(tempdir) < 0.4.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
OpenSSL bindings.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -N
%patch0 -p1
%patch1 -p2
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Tue Nov 21 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.21-1
- Update to 0.9.21

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.14-1
- Update to 0.9.14

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.10-2
- Port to use rust-packaging

* Mon Apr 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.10-1
- Initial package
